Bug 1644768

Summary: python-transaction: update to 2.4.0 for ZODB
Product: [Fedora] Fedora Reporter: Jerry James <loganjerry>
Component: python-transactionAssignee: Fedora Infrastructure SIG <infra-sig>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: rawhideCC: infra-sig, lewk, mhroncok, rbarlow, rbean
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-transaction-2.4.0-1.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-12 08:46:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1647372    

Description Jerry James 2018-10-31 14:52:26 UTC
Description of problem:
I would like to build an updated version of python-ZODB (5.5.1) in Rawhide, but it requires python-transaction >= 2.4.0.  We currently have 2.2.1 in Rawhide.

I should also point out that this phrase in %description is of dubious accuracy: "It is mainly used by the ZODB, though."  Several non-ZODB packages now use python-transaction.

Version-Release number of selected component (if applicable):
python-transaction-2.2.1-1

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Miro HronĨok 2018-11-10 23:27:32 UTC
Here's a PR https://src.fedoraproject.org/rpms/python-transaction/pull-request/2